package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFL35 extends MwfRequest<MWFL35, MWFL35Response> {

    @Parameter(name = "CIF")
    MWFL35 cif(String cif);
    @Parameter(name = "CisloSmlouvy")
    MWFL35 cisloSmlouvy(String cisloSmlouvy);
    @Parameter(name = "DatumDo")
    MWFL35 datumDo(java.util.Date datumDo);
    @Parameter(name = "DatumOd")
    MWFL35 datumOd(java.util.Date datumOd);
    @Parameter(name = "DistribuceKV")
    MWFL35 distribuceKV(String distribuceKV);
    @Parameter(name = "Hodnota")
    MWFL35 hodnota(Double hodnota);
    @Parameter(name = "ISIN")
    MWFL35 isin(String isin);
    @Parameter(name = "KlientskeVypisyObchodniFrekvence")
    MWFL35 klientskeVypisyObchodniFrekvence(String klientskeVypisyObchodniFrekvence);
    @Parameter(name = "KlientskeVypisyStavoveFrekvence")
    MWFL35 klientskeVypisyStavoveFrekvence(String klientskeVypisyStavoveFrekvence);
    @Parameter(name = "KorespondencniJmeno")
    MWFL35 korespondencniJmeno(String korespondencniJmeno);
    @Parameter(name = "KorespondencniPSC")
    MWFL35 korespondencniPSC(String korespondencniPSC);
    @Parameter(name = "KorespondencniPrijmeni")
    MWFL35 korespondencniPrijmeni(String korespondencniPrijmeni);
    @Parameter(name = "KorespondencniSidlo")
    MWFL35 korespondencniSidlo(String korespondencniSidlo);
    @Parameter(name = "KorespondencniTitulPred")
    MWFL35 korespondencniTitulPred(String korespondencniTitulPred);
    @Parameter(name = "KorespondencniTitulZa")
    MWFL35 korespondencniTitulZa(String korespondencniTitulZa);
    @Parameter(name = "KorespondencniUlice")
    MWFL35 korespondencniUlice(String korespondencniUlice);
    @Parameter(name = "KorespondencniZeme")
    MWFL35 korespondencniZeme(String korespondencniZeme);
    @Parameter(name = "Pobocka")
    MWFL35 pobocka(String pobocka);
    @Parameter(name = "PobockaRestante")
    MWFL35 pobockaRestante(String pobockaRestante);
    @Parameter(name = "PremiovyVklad")
    MWFL35 premiovyVklad(Boolean premiovyVklad);
    @Parameter(name = "Produkt")
    MWFL35 produkt(String produkt);
    @Parameter(name = "StavSmlouvy")
    MWFL35 stavSmlouvy(String stavSmlouvy);
    @Parameter(name = "TerminCisloUctu")
    MWFL35 terminCisloUctu(String terminCisloUctu);
    @Parameter(name = "TerminKodBanky")
    MWFL35 terminKodBanky(String terminKodBanky);
    @Parameter(name = "TerminMena")
    MWFL35 terminMena(String terminMena);
    @Parameter(name = "TypSmlouvy")
    MWFL35 typSmlouvy(String typSmlouvy);
    @Parameter(name = "VyporadaniCisloUctu")
    MWFL35 vyporadaniCisloUctu(String vyporadaniCisloUctu);
    @Parameter(name = "VyporadaniKodBanky")
    MWFL35 vyporadaniKodBanky(String vyporadaniKodBanky);
    @Parameter(name = "VyporadaniMena")
    MWFL35 vyporadaniMena(String vyporadaniMena);
    @Parameter(name = "Zdroj")
    MWFL35 zdroj(Long zdroj);
}
